ili2fme 8.0.2 (2026-02-xx)
-------------------------------
- Writer: add cleanup() in case of exception (#51)

ili2fme 8.0.1 (2025-12-29)
-------------------------------
- ili2c-5.6.8
- iox-ili-1.24.4

ili2fme 8.0.0 (2025-12-18)
-------------------------------
- added XTF_BASKETS.xtf_seq to control order of baskets (#8)
- ILI2.4: Translate data to original model when exporting (#46)
- added additional COORDINATE_SYSTEM properties to metafile required by FME2026 (#49)
- remove MSI  (#41)
- JRE 1.8

ili2fme 7.4.1 (2025-08-04)
-------------------------------
- ILI2.4: Fehlermeldung/Abbruch beim Schreiben von uebersetzten Daten
- iox-ili-1.24.1
- ili2c-5.6.6

ili2fme 7.4.0 (2025-05-07)
-------------------------------
- ILI2.4: Abbildung von LIST/BAG mit primitiven Typen geaendert(#43)
- iox-ili-1.24.0
- ili2c-5.6.4

ili2fme 7.3.4 (2025-01-14)
-------------------------------
- iox-ili-1.23.4
- ili2c-5.6.3

ili2fme 7.3.3 (2024-12-04)
-------------------------------
- ili2c-5.6.2
- iox-ili-1.23.3

ili2fme 7.3.2 (2024-08-26)
-------------------------------
- ITF Writer mit Kommas statt Punkte (#37)
- ili2c-5.5.4
- iox-ili-1.23.1

ili2fme 7.3.1 (2024-03-27)
-------------------------------
- reader:  fixed NPE, if attribute with implicit type (#35)

ili2fme 7.3.0 (2024-03-04)
-------------------------------
- ILI2.4: read/write generic domain assignments (#26)
- ILI2.4: fix export of FMELine as MULTIPOLYLINE (#36)
- ITF Writer mit Kommas statt Punkte (#37)
- ITF Reader: AREA polygon building fails (#38)
- ili2c-5.5.1
- iox-ili-1.23.0

ili2fme 7.2.1 (2023-12-11)
-------------------------------
- ili2c-5.4.0
- iox-ili-1.22.0

ili2fme 7.2.0 (2023-01-05)
-------------------------------
- reader/writer implement metaConfig (#30)
- reader: support ilidata:basketId as import file argument (#29)
- ili2c-5.3.2

ili2fme 7.1.1 (2022-12-07)
-------------------------------
- ili2c-5.3.1

ili2fme 7.1.0 (2022-12-07)
-------------------------------
- reader: lookup models in version matching the xtf file version (#22) 
- ili2.4 MULTI-Geometrien (#25)
- ili2.4 LIST/BAG mit primitiven Typen (nicht nur mit Strukturen) (#20)
- iox-ili-1.21.14

ili2fme 7.0.16 (2022-10-21)
-------------------------------
- ITF writer: fix missing tables and superfluous topics (#24) 
- ili2c-5.3.0
- iox-ili-1.21.13

ili2fme 7.0.15 (2022-04-29)
-------------------------------
- ili2c-5.2.6
- iox-ili-1.21.10

ili2fme 7.0.14 (2021-12-28)
-------------------------------
- ili2c-5.2.5
- iox-ili-1.21.9

ili2fme 7.0.13 (2021-09-14)
-------------------------------
- ITF validation (reader): allow unique TID per table
- ITF raw reader: fixed type cast exception
- Writer validation: fixed wrong duplicate BID error (#18)
- Reader: fix detection of xtf24 format
- ili2c-5.2.3
- iox-ili-1.21.7

ili2fme 7.0.12 (2020-12-28)
-------------------------------
- ili2c-5.1.5
- iox-ili-1.21.4

ili2fme 7.0.11 (2020-10-02)
-------------------------------
- ili2c-5.1.4
- iox-ili-1.21.3

ili2fme 7.0.10 (2020-09-29)
-------------------------------
- ili2c-5.1.3
- iox-ili-1.21.2

ili2fme 7.0.9 (2020-08-28)
-------------------------------
- new reader parameter "ITF Ignore Polygon Building Errors"
- ITF reader: add ili2fme-6.x compatibility mode (enabled if reader parameter CREATE_LINETABLES present)
- ITF validation (writer): allow unique TID per table
- ili2c-5.1.2
- iox-ili-1.21.1


ili2fme 7.0.8 (2020-05-01)
-------------------------------
- ili2c-5.1.1
- iox-ili-1.21.0

ili2fme 7.0.7 (2020-04-01)
-------------------------------
- switch build tool to gradle
- switch msi to x64 (#16)
- ili2c-5.0.8
- iox-ili-1.20.18

ili2fme 7.0.6 (2020-02-03)
-------------------------------
- ili2c-5.0.6
- iox-ili-1.20.17

ili2fme 7.0.5 (2020-01-31)
-------------------------------
- ili2c-5.0.5
- iox-ili-1.20.16

ili2fme 7.0.4 (2019-11-08)
-------------------------------
- ili2c-5.0.3
- iox-ili-1.20.14

ili2fme 7.0.3 (2019-09-06)
-------------------------------
- ili2c-5.0.2
- iox-ili-1.20.13

ili2fme 7.0.2 (2019-08-28)
-------------------------------
- fix ClassCastException: ch.ehi.iox.adddefval.ItfAddDefValueReader in Ili2Reader.myread()
- fix missing raw main table features (*_MT)
- switch validator to ITF raw mode if ILI1_LINETABLES=Raw

ili2fme 7.0.1 (2019-08-23) BETA
-------------------------------
- filter baskets (topic filter) in IoxReader
- implement linetable reading
- integrated ilivalidator
- ili2c-5.0.1
- iox-ili-1.20.12

ili2fme 7.0.0 (2019-07-05) BETA
-------------------------------
- refactored polygon building
- new Reader option to select linetable mapping: ILI1_LINETABLES (Polygon, Raw, Polygon+Raw) 

ili2fme 6.3.0 (2019-04-24)
--------------------------
- ili2c-5.0.0
- iox-ili-1.20.11

ili2fme 6.2.3 (2018-12-09)
--------------------------
- ili2c-4.7.11
- iox-ili 1.20.10

ili2fme 6.2.2 (2018-05-17)
--------------------------
- ili2c-4.7.7
- iox-ili 1.20.2
- hide Base-Name of RenamedViewableRef
- support implicit attribute type in ViewDef

ili2fme 6.2.1 (2017-10-20)
--------------------------
- ili2c-4.7.4
- iox-ili 1.19.8


ili2fme 6.2.0 (2017-08-15)
--------------------------
- link with pluginbuilder.jar of FME 2017.1
- replaced setBinaryAttribute() with setByteArrayAttribute() to avoid platform default charset dependency
- replaced getBinaryAttribute() with getByteArrayAttribute() to avoid platform default charset dependency
- replaced deprecated geometryTools() with getGeometryTools()
- ili2c-4.7.3
- iox-ili-1.13.6

ili2fme 6.1.5 (2016-11-02)
--------------------------
- ItfReader: fixed FME message "Warning: not all Stashed Objects that were registered were dropped before shutdown"
- XtfWriter: fixed BLACKBOX output
- XtfReader: fixed BLACKBOX parser
- ili2c-4.5.27
- iox-ili-1.13.5

ili2fme 6.1.4 (2016-09-19)
--------------------------
- ili2c-4.5.26
- iox-ili-1.13.4
- list intersections only once
- ItfReader2: fixed NullPointerException if OPTIONAL AREA with not geometries at all
- ItfReader2: fixed polygon building in SURFACE with common point between hole and shell that is not start/end point of a boundary line
- ItfReader2: fixed polygon building in AREA with common point between boundaries that is not start/end point of a boundary line
- ItfReader2: fixed technical tolerance of circle/circle intersection (affects polygon validation)

ili2fme 6.1.3 (2016-08-29)
--------------------------
- ili2c-4.5.25
- check free memory over get/set calls of all pools

ili2fme 6.1.2 (2016-08-11)
--------------------------
- fixed missing schema features if OneTypePerEnumDef
- ili2c-4.5.24
- iox-ili: use own objpool instead of jdbm-2.4.jar
- jdbm-2.5.jar no longer required

ili2fme 6.1.1 (2016-04-07)
--------------------------
- ili2c-4.5.22
- show max memory
- fixed NullPointerException if errors from ItfReader2 without TIDs

ili2fme 6.1.0 (2016-02-04) BETA
-------------------------------
- ili2c-4.5.21
- ItfReader2: test result of ili1 polygon building (use param ILI1_CHECKCONVERT)
- adapted to refactored ItfReader2 error reporting
- skip stack trace output if trace messages not enabled
- added XTF_ERRORS feature type (log of data errors)

ili2fme 6.0.1 (2015-11-27) BETA
---------------------------
- YOU MUST manually remove the $FME/plugins/jts-1.8.jar (because it conflicts with jts-1.13.jar)
- fixed "Unresolved compilation problem: The constructor IligmlWriter..."

ili2fme 6.0.0 (2015-11-23) BETA
---------------------------
- YOU MUST manually remove the $FME/plugins/jts-1.8.jar (because it conflicts with jts-1.13.jar)
- new built-in polygon building (FME independent)
- iox-ili-1.11.1
- ili2c-4.5.18

ili2fme 5.11.1 (2015-07-07)
---------------------------
- ili2c-4.5.13
- clear errors flag after logging, so that new reader/writer run doesn't report already reported errors

ili2fme 5.11.0 (2015-02-04)
---------------------------
- read also modelnames from XTF header
- xtf22 writer: missing identity (TID) on ASSOCIATIONs that are not embedded
- ili2c-4.5.8

ili2fme 5.10.1 (2014-05-23)
---------------------------
- fixed read of parameter GEOM_ATTR_MAPPING:EncodeAsFmeAttribute

ili2fme 5.10.0 (2014-05-09)
---------------------------
- ili2c-4.5.3
- export elliptical arcs as linearized straights
- changed default of GEOMETRY_ENCODING from OGCHEXBIN to FMEBIN
- new reader parameter GEOM_ATTR_MAPPING/"Mapping of multiple Geometry Attributes:" to simplify viewing of INTERLIS objects with multiple geometry attributes

ili2fme 5.9.0 (2013-12-09)
---------------------------
- Reader: assume xtf format, if no extension given on inputpath
- new option to trim values when reading/writing
- bug: XtfWriter NullPointerException if FME attribute value is null (in FME2014)
- ili2c-4.5.1

ili2fme 5.8.0 (2013-04-19)
---------------------------
- writer automatically casts IFMEText to IFMEPoint (to simplify workbenches) 
- ili2c-4.4.12
- added XRF writer (BETA)

ili2fme 5.7.6 (2012-11-21)
---------------------------
- bug: ItfReader failed to read polylines
- ili2c-4.4.10

ili2fme 5.7.5 (2012-11-15)
---------------------------
- function Reader.getProperties() added to make ili2fme usable by FME2013 BETA
- improved error msg in case of trying to write non numeric values as numbers
- ili2c-4.4.9

ili2fme 5.7.4 (2012-08-31)
---------------------------
- ili2c-4.4.8
- iox-ili-1.6.8
- bug: XtfReader failed to skip element content of OIDType

ili2fme 5.7.3 (2012-08-24)
---------------------------
- bug: failed to write empty baskets

ili2fme 5.7.2 (2012-07-23)
---------------------------
- ili2c-4.4.7
- bug: XtfWriter failed to write OIDType with XML-attri

ili2fme 5.7.1 (2012-06-28)
---------------------------
- ili2c-4.4.6
- fixed Writer: ItfWriter didn't round numeric values

ili2fme 5.7.0 (2012-06-06)
---------------------------
- added new format feature type XTF_FORMAT to support reading/writing OIDSPACES
- fixed Writer: IFMEPoint leaked if COORD as non FME geometry and enhanced geometry model
- ili2c-4.4.5

ili2fme 5.6.0 (2012-04-06)
---------------------------
- ili2c-4.4.4
- Reader: read attribute types
- fixed Reader: JVM crash if Linkobject without an oid 

ili2fme 5.5.0 (2012-02-02)
---------------------------
- upgraded to jre 1.6.0
- ili2c-4.4.3
- fixed Writer: no TID on instances where ASSOCATION is without OID property
- fixed Reader: keep ordering of attributes in schema features 

ili2fme 5.4.3 (2011-11-01)
---------------------------
- fixed Reader: NullPointerException if UNDEFINED reference attr

ili2fme 5.4.2 (2011-10-20)
---------------------------
- log feature if geometry conversion error
- fixed: NullPointerException if filename without path
- fixed: read/write of xtf reference attrs
- check that xtf_class is a qualified interlis name (contains at least one '.')

ili2fme 5.4.1 (2011-08-03)
---------------------------
- ili2c-4.3.7
- fixed: failed to read ABSTRACT structures from ili

ili2fme 5.4.0 (2011-07-27)
---------------------------
- FME2011 FME Data Inspector provides multiple FME_GEOMETRY_HANDLING entries
- added FORMAT_TYPE JAVA to metafile as requested by SAFE
- added TOPICS_FILTER to filter reading by qualified ili topic name; seperate multiple names by semicolon
- completed GUI GROUP Parameters:

ili2fme 5.3.3 (2011-04-14)
---------------------------
- bug: Attribute URI missing in OIDSPACE
- bug: no error message if createReader() throws a Throwable
- iox-ili-1.5.5

ili2fme 5.3.2 (2011-01-26)
---------------------------
- java.lang.NoSuchMethodError: ch.interlis.ili2c.metamodel.Constant$Numeric.getValue()D
- iox-ili-1.5.4

ili2fme 5.3.1 (2011-01-17)
---------------------------
- ili2c-4.3.4

ili2fme 5.3.0 (2010-12-29)
---------------------------
- support http proxy (new params HTTP_PROXY_HOST, HTTP_PROXY_PORT)
- itf reader: skip/ignore missing 3rd value of a coord
- bug itf reader: skip space after 'CONT'
- reader: return exception to FME to enable error detection by FME
- ili2c-4.3.3
- iox-ili-1.5.3
- test result of ili1 polygon building (new param ILI1_CHECKCONVERT)
- new, not yet implemented, params CHECK_ATTRTYPE, CHECK_ATTRMULTIPLICITY

ili2fme 5.2.2 (2010-08-13)
---------------------------
- bug: coord1D read/written as fme_point; changed to ordinary fme attribute
- bug: superfluous log output to c:/tmp/ili2fme.log

ili2fme 5.2.1 (2010-03-17)
---------------------------
- suppress ili2c warnings
- added scripts to remove overlaps (contributed by Kt TG)
- bug: schema reader declares nested list attributes incorrectly
- bug: support reading/writing of embedded associations with attributes
- bug: EXCEPTION_ACCESS_VIOLATION in FME2010 with dataset fanout 

ili2fme 5.2.0 (2009-12-09)
---------------------------
- added model repository support
- ili2c-4.3.0
- bug interlis2.db: out of sync with metafile; SOURCE_SETTINGS or DESTINATION_SETTINGS should be set to YES
- bug writer: single arcs were stroked
- bug itf-reader: accept tab (not only space) after tag

ili2fme 5.1.0 (2009-03-11)
---------------------------
- changed ATTR_TYPE_MAP of xtf_char from fme_char to fme_varchar as requested by safe
- ili2c-4.1.1
- itf: read/write AREA centroid as 2D even if domain of control points is 3D 

ili2fme 5.0.2 (2008-12-19)
---------------------------
- bug itf-writer: fixed memory leak in SURFACE/AREA converter
- bug itf-writer: write empty non OPTIONAL tables

ili2fme 5.0.1 (2008-11-20)
---------------------------
!!! GML SUPPORT ADHERS TO ISO19136/GML 3.2 AND A DRAFT ILIGML SPEC !!!
- bug: generate schema features of SURFACE helper table with "_itf_ref_$(MainTableName)"
- auto-generate xtf_id in linetable features (if xtf_id is missing)
- writer supports now GEOMETRY_ENCODING=FMEXML
- bug: failed to detect "//// " in itf
- new default Reader.CHECK_UNIQUEOID=No
- bug: superfluous IFMELine in IFMEPath if second segment is an arc

ili2fme 5.0.0 (2008-11-18) (BETA) 
---------------------------
!!! GML SUPPORT ADHERS TO ISO19136/GML 3.2 AND A DRAFT ILIGML SPEC !!!
- read enum values (see parameter CREATEFEATURETYPE4ENUM)
- check uniqueness of TID/OIDs (see param CHECK_UNIQUEOID)
- optional renumber TIDs read from ITF files to make them unique (see param ILI1_RENUMBERTID) 
- selectable encoding for additional geometry attributes (see param GEOMETRY_ENCODING)
- write gml (3.2) according to iligml encoding spec
- if USE_LINETABLES=Yes but no line table features exist, auto-build line tables from main feature (same as if USE_LINETABLES=No) 
- added *.ili to file selector
- added *.gml to file selector

ili2fme 4.9.1 (2008-11-06) 
---------------------------
- adapted to FME_GEOMETRY_HANDLING=Enhanced
- fixed spelling error in polygon building script of AREAs

ili2fme 4.9.0 (2008-10-29) 
---------------------------
- renamed reference property of SURFACE linetable to maintable (might break existing configs that use CREATE_LINETABLES=Yes)

ili2fme 4.8.3 (2008-10-16) 
---------------------------
- ili2c-3.6.8
- bug: fixed memory leak in rich geometry handling
- get rid of PIPs in ITF area builder (use OverlayFactory instead of PIPComponentsFactory)
- added additional InterectionFactories at head of ITF area builder   

ili2fme 4.8.2 (2008-06-13) 
---------------------------
- ili2c-3.6.7
- bug itf-reader: lost ili1 ref attrs
- bug: lost format attributes in wb (fixed datatype of WORKBENCH_EXPOSABLE_ATTRIBUTES in metafile)

ili2fme 4.8.1 (2008-06-12) 
---------------------------
- note: there are incompatibilities between different fme-2007/2008 builds in @Transform and DonutFactory that influence the polygon building when reading from itf files
- ili2c-3.6.6
- bug: correct mapping to fme_type lost again (format name to @Transform() seems now to be case sensitive)
- bug: NullPointerException if structattr of struct defined in an abstract topic
- bug: read enum itf-code for default value if ILI1_ADDDEFVAL && ILI1_ENUMASITFCODE

ili2fme 4.8.0 (2008-05-06) 
---------------------------
- added parameter ILI1_ENUMASITFCODE to mapping file
- added optional branch to version

iliili2fme 4.7.4 (2008-04-11) 
---------------------------
- Bug in arc_to_straight conversion if arc at the end of the line (jko)

ili2fme 4.7.3 (2008-03-21) 
---------------------------
- Change straight arcs to straights (jko)
- Ignore Arcs with midpoint laying on start or end point (jko)

ili2fme 4.7.2 (2008-02-25) 
---------------------------
- bug itf-reader: NullPointerException if SURFACE without OVERLAPS
- bug itf-writer: used attributes of maintable as lineattribs if useLineTables=no
- use @Transform() instead of @SupplyAttributes() to map between fme_type and xtf_geomtype

ili2fme 4.7.1 (2008-02-08) 
---------------------------
- itf-writer: TopologyFactory replaced with IntersectionFactory to support RichGeometry with ili-AREAs

ili2fme 4.7.0 (2008-02-06) 
---------------------------
- bug xtf-writer 2.2: wrong HEADERSECTION/DATASECTION xml-element nesting  
- reader: use classic geometry model as default (to enable user to work around FME 2007/2008 bugs)
- xtf-reader: don't threw exception if lineattrib
- xtf-writer: auto create XTF_BASKETS

ili2fme 4.6.0 (2008-01-30) BETA
---------------------------
- added "INTERLIS File (*.xml;*.xtf;*.itf)" to source file selector as first entry
- renamed to "Swiss INTERLIS (ili2fme)" as asked by safe
- writer: eliminate requirement to set format attribute xtf_geomattr
- bug: itf-reader: AREA attrs appeared after polygon building in FME as fme_point
- bug: itf-writer writes TRANSFER name after MTID tag
- bug: itf-writer failed with worbench generated ili2ili script if AREA typed attribute 
- bug: writer fails if model name should be extracted from the data but no data pass to the writer
 
ili2fme 4.5.0 (2008-01-23) BETA
---------------------------
- added parameter ILI1_CONVERTAREA to mapping file
- added parameter ILI1_CONVERTSURFACE to mapping file
- added sample SURFACE and AREA converter
- MODELS parameter: placeholder XTF renamed to %DATA
- writer: get model name out of features
- writer: write line table out of donuts/polygons to itf if useLineTables=no
- use first COORD, POLYLINE, SURFACE, oder AREA attribute as FME-geometry (same as in pre ili2fme-4.4.0)
- bug: writer handles IFMENull
- bug: writer adds start point if arc first segment
- modified metafile to pass settings to schema scan

ili2fme 4.4.1 (2008-01-09) BETA
---------------------------
- bug: exception with SURFACE/AREA without lineattrib
- bug: writer uses useLineTables=yes as default as long as useLineTables=no is not supported
- bug: writer handles IFMEPolygon if it appears in a POLYLINE attribute 
- create always AREA/SURFACE line table helper featuretypes during schema scan (beacuse FME doesn't pass settings from settings dialog)
 
ili2fme 4.4.0 (2008-01-08) BETA
---------------------------
- support incremental transfer
- support subclass inheritance mapping strategy
- support ARCs with FMEs Rich Geometry
- support ITF lineattrs (read and write) 
- added xtf_operation format attribute
- added xtf_startstate format attribute
- added xtf_endstate format attribute
- added XTF_DELETEOBJECT format feature
- added xtf_consistency format attribute
- added INHERITANCE_MAPPING to mapping file
- added TRACEMSGS to mapping file
- added USE_LINETABLES to mapping file
- use first POLYLINE, SURFACE, oder AREA attribute as FME-geometry (use COORD only if no other)

ili2fme 4.3.3 (2007-12-31) 
---------------------------
- metafile: Allow selection of INTERLIS 1 files (ITF)
- bug: reader memory leak (features feed to surface builder pipeline leaked) 

ili2fme 4.3.2 (2007-12-12) 
---------------------------
- Bug: XTF parser failed with correct ili2.2 DelEntry
- ili2c-3.5.6

ili2fme 4.3.1 (2007-11-02) 
---------------------------
- bug: didn't evaluate settings to true if value was "YES"
- bug: XTF parser of HEADERSECTION failed if no ALIAS after MODELS
- bug: XTF parser didn't read value of attributes with OID type 
- bug: hard ref in fme session to features prevents automatic feature dispose. added explicit dispose. 

ili2fme 4.3.0 (2007-06-15) 
---------------------------
- bug: geometry attributes of structs didn't appear in wb
- write multiple geometry attributes (as HEXWKB; use GeometryExtractor in WB)

ili2fme 4.2.0 (2007-06-13) 
---------------------------
- bug: format attributes not exposed (commented out in fmf-file)
- bug: XTF_CLASS still required
- read multiple geometry attributes (as HEXWKB; use GeometryReplacer in WB)

ili2fme 4.1.0 (2007-05-16) 
---------------------------
- bug itf-reader: no fme:donut building if ili:SURFACE  
- settings dialog (only FME2007)

ili2fme 4.0.0 (2007-03-29) BETA
-------------------------------
- reader/writer renamed to "INTERLIS (ili2fme)"
- removed native ili2 reader
- bug xtf-writer: failed to find class metadata if extended class
- itf-reader: add default values (if ILI1_ADDDEFVAL=TRUE)
- add ${FME}/plugins/interlis2/ili22models to default modeldirs 
- added ili2.3 model support
- use feature type name if XTF_CLASS value missing

ili2fme 3.0.1 (2006-10-31) BETA
-------------------------------
- interlis2.db contains wrong format name

ili2fme 3.0.0 (2006-10-30) BETA
-------------------------------
- itf-reader: build polygons from boundary line tables
- format name renamed from CH.INTERLIS.ILI2FME.ILI2FME to CH.EHI.FME.MAIN  (due to COM ProgID limitation, Settings dialog requirement)

ili2fme 2.1.1 (2006-08-07) BETA
-------------------------------
- explicitly dispose IFMEFeatureVectorOnDisk
- bug xtf-reader: tried to read non existing attributes  
- bug xtf-writer: tried to write non existing attributes  
- bug reader: imports feature types without user defined attributes

ili2fme 2.1.0 (2006-07-31) BETA
-------------------------------
- writes INTERLIS 1 transfer files
- test ili2fme with FME2006GB
- metafile: make use of %XTF_DIR 
- expand %XTF_DIR in parameter MODEL_DIR
- file formats/formats_db.txt moved to FME Suite/formatsinfo/interlis2.db
- use streaming itf/xtf writer
- bug metafile: use ${FME}/plugins/interlis2/ilimodels instead of ${FME}/ilimodels
- bug: superfluous message "no logging listeners left"
- bug: NullPointerException when reading first feature if model read from xtffile (safe:null2interlis.fmw) 
- bug: native exception in writer if parent directory of output file doesn't exist
- bug: IllegalStateException("swigCPtr==0") when reader and writer are interlis2 format (safe:interlis2tointerlis2.fmw)

ili2fme 2.0.0 (2006-06-30) BETA
-------------------------------
- reads INTERLIS 1 transfer files
- compile ili-files with option --without-warnings
- limit length of XTF_CLASS/XTF_TOPIC as needed 
- log version info
- log ilifile locations
- iom_java.dll renamed to iom_fme.dll
- use xerces-c_2_6-interlis2.dll instead of xerces-c_2_6.dll
- read models from ${FME}/plugins/interlis2/ilimodels
- read models first from xtf-file location and then from ${FME}/plugins/interlis2/ilimodels
- bug xtf-reader: doesn't report/detect compiler failure
- bug xtf-writer: writes empty properties

ili2fme 1.2.0 (2006-05-09)
----------------------------
- version info added to DLL and jar
- log error msg to fme if iom_java.dll can not be loaded
- xtf-reader: log model name if extracted from xtf
- xtf-reader: do just schema read (if ili-file given instead of xtf-file)
- bug xtf-writer: doesn't write struct elements
- bug: don't free iom native objects from gc thread

ili2fme 2006-03-29
----------------------------
- xtf-writer: improved error message if XTF_BASKET features missing
- xtf-writer: improved error message if xtf_id,xtf_basket,xtf_class attributes in a feature type missing
- xtf-writer: improved error message if MODELS and MODEL_DIR not present in the mapping file
- xtf-writer: test if attribute value exists before getting it
- xtf-reader: create feature types of all directly or indirectly used ili-models
- apply subclass strategy to CLASSes of model INTERLIS (e.g. METAOBJECT) 
- bug: doesn't work with universal translator
- bug: work around FME to handle UNC-filename (translate "//share/file" back to "\\share/file")

ili2fme 2005-12-06
----------------------------
- handle STRUCTURE
- ili-reader: use "attr{}" instead of "attr{0}" to describe list attributes
- xtf-reader: allow null reference
- xtf-reader: use defaults for MODELS and MODEL_DIR if not present in the mapping file
- how to get an "Automated mapping ..." entry in the universal translator? add an entry to gallery.db
- format.db/gallery.db entry have to be in uppercase
- update of INTERLIS-compiler (ili2c.jar version 2.6.3)

ili2fme 2005-05-23
----------------------------
- added Writer: writes INTERLIS 2 transfer files

ili2fme 2005-04-14
----------------------------
- Added note about FME_VIEWER_THREADING=SINGLE to avoid crash of FME Universal Viewer
- Added note about ${FME}/ilimodels
- reader: handle STRUCTURE

ili2fme 2005-02-15
----------------------------
- initial release
- reads INTERLIS 2 transfer files
